﻿# Standard Library Imports
import os
from setuptools import setup


# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

# Gets the version of the package
VERSION = __import__('simpleftp').VERSION


setup(
    name = 'Simple-FTP', 
    version = VERSION, 
    url = 'https://bitbucket.org/notequal/simple-ftp/', 
    author = 'Stanley Engle', 
    author_email = 'sa_engle@yahoo.com', 
    description = 'A package that provides basic FTP functionality in a ' + \
        'Python package, as well as a stand-alone script.', 
    license = 'BSD', 
    packages = ['simpleftp'], 
    include_package_data = False, 
    scripts = ['simpleftp/simpleftp.py'], 
    classifiers = [
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
    ],
)

